org.springframework.data.repository.core.support

## Class RepositoryMethodInvocationListener.RepositoryMethodInvocation

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryMethodInvocationListener.RepositoryMethodInvocation

Enclosing interface:
  RepositoryMethodInvocationListener

    public static class RepositoryMethodInvocationListener.RepositoryMethodInvocation
    extends Object

Value object capturing the actual invocation.

### Constructor Summary

Constructors
Constructor and Description
`RepositoryMethodInvocation(Class<?> repositoryInterface, Method method, RepositoryMethodInvocationListener.RepositoryMethodInvocationResult result, long durationNs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDuration(TimeUnit timeUnit)`
`Method` `getMethod()`
`Class<?>` `getRepositoryInterface()`
`RepositoryMethodInvocationListener.RepositoryMethodInvocationResult` `getResult()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryMethodInvocation

    public RepositoryMethodInvocation(Class<?> repositoryInterface,
                                      Method method,
                                      RepositoryMethodInvocationListener.RepositoryMethodInvocationResult result,
                                      long durationNs)

Parameters:
  `repositoryInterface` - the repository interface that was used to call `Method`.
  `method` - the actual method that was called.
  `result` - the outcome of the invocation. Must not be null.
  `durationNs` - the duration in `TimeUnit.NANOSECONDS`.

### Method Detail

#### getDuration

    public long getDuration(TimeUnit timeUnit)

#### getRepositoryInterface

    public Class<?> getRepositoryInterface()

#### getMethod

    public Method getMethod()

#### getResult

    @Nullable
    public RepositoryMethodInvocationListener.RepositoryMethodInvocationResult getResult()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`